pcl::tracking Namespace Reference

## Classes

struct | _ParticleXYR
struct | _ParticleXYRP
struct | _ParticleXYRPY
struct | _ParticleXYZR
struct | _ParticleXYZRPY
class | ApproxNearestPairPointCloudCoherence
| ApproxNearestPairPointCloudCoherence computes coherence between two pointclouds using the approximate nearest point pairs. More...
class | DistanceCoherence
| DistanceCoherence computes coherence between two points from the distance between them. More...
class | HSVColorCoherence
| HSVColorCoherence computes coherence between the two points from the color difference between them. More...
class | KLDAdaptiveParticleFilterOMPTracker
| KLDAdaptiveParticleFilterOMPTracker tracks the PointCloud which is given by setReferenceCloud within the measured PointCloud using particle filter method. More...
class | KLDAdaptiveParticleFilterTracker
| KLDAdaptiveParticleFilterTracker tracks the PointCloud which is given by setReferenceCloud within the measured PointCloud using particle filter method. More...
class | NearestPairPointCloudCoherence
| NearestPairPointCloudCoherence computes coherence between two pointclouds using the nearest point pairs. More...
class | NormalCoherence
| NormalCoherence computes coherence between two points from the angle between their normals. More...
class | ParticleFilterOMPTracker
| ParticleFilterOMPTracker tracks the PointCloud which is given by setReferenceCloud within the measured PointCloud using particle filter method in parallel, using the OpenMP standard. More...
class | ParticleFilterTracker
| ParticleFilterTracker tracks the PointCloud which is given by setReferenceCloud within the measured PointCloud using particle filter method. More...
struct | ParticleXYR
struct | ParticleXYRP
struct | ParticleXYRPY
struct | ParticleXYZR
struct | ParticleXYZRPY
class | PointCloudCoherence
| PointCloudCoherence is a base class to compute coherence between the two PointClouds. More...
class | PointCoherence
| PointCoherence is a base class to compute coherence between the two points. More...
class | PyramidalKLTTracker
| Pyramidal Kanade Lucas Tomasi tracker. More...
union | RGBValue
class | Tracker
| Tracker represents the base tracker class. More...

## Functions

void | RGB2HSV (int r, int g, int b, float &fh, float &fs, float &fv)
| Convert a RGB tuple to an HSV one. More...
std::ostream & | operator<< (std::ostream &os, const ParticleXYZRPY &p)
pcl::tracking::ParticleXYZRPY | operator* (const ParticleXYZRPY &p, double val)
pcl::tracking::ParticleXYZRPY | operator+ (const ParticleXYZRPY &a, const ParticleXYZRPY &b)
pcl::tracking::ParticleXYZRPY | operator- (const ParticleXYZRPY &a, const ParticleXYZRPY &b)
std::ostream & | operator<< (std::ostream &os, const ParticleXYZR &p)
pcl::tracking::ParticleXYZR | operator* (const ParticleXYZR &p, double val)
pcl::tracking::ParticleXYZR | operator+ (const ParticleXYZR &a, const ParticleXYZR &b)
pcl::tracking::ParticleXYZR | operator- (const ParticleXYZR &a, const ParticleXYZR &b)
std::ostream & | operator<< (std::ostream &os, const ParticleXYRPY &p)
pcl::tracking::ParticleXYRPY | operator* (const ParticleXYRPY &p, double val)
pcl::tracking::ParticleXYRPY | operator+ (const ParticleXYRPY &a, const ParticleXYRPY &b)
pcl::tracking::ParticleXYRPY | operator- (const ParticleXYRPY &a, const ParticleXYRPY &b)
std::ostream & | operator<< (std::ostream &os, const ParticleXYRP &p)
pcl::tracking::ParticleXYRP | operator* (const ParticleXYRP &p, double val)
pcl::tracking::ParticleXYRP | operator+ (const ParticleXYRP &a, const ParticleXYRP &b)
pcl::tracking::ParticleXYRP | operator- (const ParticleXYRP &a, const ParticleXYRP &b)
std::ostream & | operator<< (std::ostream &os, const ParticleXYR &p)
pcl::tracking::ParticleXYR | operator* (const ParticleXYR &p, double val)
pcl::tracking::ParticleXYR | operator+ (const ParticleXYR &a, const ParticleXYR &b)
pcl::tracking::ParticleXYR | operator- (const ParticleXYR &a, const ParticleXYR &b)
PCL_EXPORTS double | sampleNormal (double mean, double sigma)

## Function Documentation

## operator*() [1/5]

pcl::tracking::ParticleXYR pcl::tracking::operator* | ( | const ParticleXYR & | p,
|  | double | val
| ) |  |

inline

Definition at line 768 of file tracking.hpp.

References pcl::tracking::_ParticleXYR::pitch, pcl::tracking::_ParticleXYR::roll, and pcl::tracking::_ParticleXYR::yaw.

## operator*() [2/5]

pcl::tracking::ParticleXYRP pcl::tracking::operator* | ( | const ParticleXYRP & | p,
|  | double | val
| ) |  |

inline

Definition at line 615 of file tracking.hpp.

References pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, and pcl::tracking::_ParticleXYRP::yaw.

## operator*() [3/5]

pcl::tracking::ParticleXYRPY pcl::tracking::operator* | ( | const ParticleXYRPY & | p,
|  | double | val
| ) |  |

inline

Definition at line 462 of file tracking.hpp.

References pcl::tracking::_ParticleXYRPY::pitch, pcl::tracking::_ParticleXYRPY::roll, and pcl::tracking::_ParticleXYRPY::yaw.

## operator*() [4/5]

pcl::tracking::ParticleXYZR pcl::tracking::operator* | ( | const ParticleXYZR & | p,
|  | double | val
| ) |  |

inline

Definition at line 307 of file tracking.hpp.

References pcl::tracking::_ParticleXYZR::pitch, pcl::tracking::_ParticleXYZR::roll, and pcl::tracking::_ParticleXYZR::yaw.

## operator*() [5/5]

pcl::tracking::ParticleXYZRPY pcl::tracking::operator* | ( | const ParticleXYZRPY & | p,
|  | double | val
| ) |  |

inline

Definition at line 152 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

## operator+() [1/5]

pcl::tracking::ParticleXYR pcl::tracking::operator+ | ( | const ParticleXYR & | a,
|  | const ParticleXYR & | b
| ) |  |

inline

Definition at line 781 of file tracking.hpp.

References pcl::tracking::_ParticleXYR::pitch, pcl::tracking::_ParticleXYR::roll, and pcl::tracking::_ParticleXYR::yaw.

## operator+() [2/5]

pcl::tracking::ParticleXYRP pcl::tracking::operator+ | ( | const ParticleXYRP & | a,
|  | const ParticleXYRP & | b
| ) |  |

inline

Definition at line 628 of file tracking.hpp.

References pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, and pcl::tracking::_ParticleXYRP::yaw.

## operator+() [3/5]

pcl::tracking::ParticleXYRPY pcl::tracking::operator+ | ( | const ParticleXYRPY & | a,
|  | const ParticleXYRPY & | b
| ) |  |

inline

Definition at line 475 of file tracking.hpp.

References pcl::tracking::_ParticleXYRPY::pitch, pcl::tracking::_ParticleXYRPY::roll, and pcl::tracking::_ParticleXYRPY::yaw.

## operator+() [4/5]

pcl::tracking::ParticleXYZR pcl::tracking::operator+ | ( | const ParticleXYZR & | a,
|  | const ParticleXYZR & | b
| ) |  |

inline

Definition at line 320 of file tracking.hpp.

References pcl::tracking::_ParticleXYZR::pitch, pcl::tracking::_ParticleXYZR::roll, and pcl::tracking::_ParticleXYZR::yaw.

## operator+() [5/5]

pcl::tracking::ParticleXYZRPY pcl::tracking::operator+ | ( | const ParticleXYZRPY & | a,
|  | const ParticleXYZRPY & | b
| ) |  |

inline

Definition at line 165 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

## operator-() [1/5]

pcl::tracking::ParticleXYR pcl::tracking::operator- | ( | const ParticleXYR & | a,
|  | const ParticleXYR & | b
| ) |  |

inline

Definition at line 794 of file tracking.hpp.

References pcl::tracking::_ParticleXYR::pitch, pcl::tracking::_ParticleXYR::roll, and pcl::tracking::_ParticleXYR::yaw.

## operator-() [2/5]

pcl::tracking::ParticleXYRP pcl::tracking::operator- | ( | const ParticleXYRP & | a,
|  | const ParticleXYRP & | b
| ) |  |

inline

Definition at line 641 of file tracking.hpp.

References pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, and pcl::tracking::_ParticleXYRP::yaw.

## operator-() [3/5]

pcl::tracking::ParticleXYRPY pcl::tracking::operator- | ( | const ParticleXYRPY & | a,
|  | const ParticleXYRPY & | b
| ) |  |

inline

Definition at line 488 of file tracking.hpp.

References pcl::tracking::_ParticleXYRPY::pitch, pcl::tracking::_ParticleXYRPY::roll, and pcl::tracking::_ParticleXYRPY::yaw.

## operator-() [4/5]

pcl::tracking::ParticleXYZR pcl::tracking::operator- | ( | const ParticleXYZR & | a,
|  | const ParticleXYZR & | b
| ) |  |

inline

Definition at line 333 of file tracking.hpp.

References pcl::tracking::_ParticleXYZR::pitch, pcl::tracking::_ParticleXYZR::roll, and pcl::tracking::_ParticleXYZR::yaw.

## operator-() [5/5]

pcl::tracking::ParticleXYZRPY pcl::tracking::operator- | ( | const ParticleXYZRPY & | a,
|  | const ParticleXYZRPY & | b
| ) |  |

inline

Definition at line 178 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

## operator<<() [1/5]

std::ostream& pcl::tracking::operator<< | ( | std::ostream & | os,
|  | const ParticleXYR & | p
| ) |  |

inline

Definition at line 760 of file tracking.hpp.

References pcl::tracking::_ParticleXYR::pitch, pcl::tracking::_ParticleXYR::roll, and pcl::tracking::_ParticleXYR::yaw.

## operator<<() [2/5]

std::ostream& pcl::tracking::operator<< | ( | std::ostream & | os,
|  | const ParticleXYRP & | p
| ) |  |

inline

Definition at line 607 of file tracking.hpp.

References pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, and pcl::tracking::_ParticleXYRP::yaw.

## operator<<() [3/5]

std::ostream& pcl::tracking::operator<< | ( | std::ostream & | os,
|  | const ParticleXYRPY & | p
| ) |  |

inline

Definition at line 454 of file tracking.hpp.

References pcl::tracking::_ParticleXYRPY::pitch, pcl::tracking::_ParticleXYRPY::roll, and pcl::tracking::_ParticleXYRPY::yaw.

## operator<<() [4/5]

std::ostream& pcl::tracking::operator<< | ( | std::ostream & | os,
|  | const ParticleXYZR & | p
| ) |  |

inline

Definition at line 299 of file tracking.hpp.

References pcl::tracking::_ParticleXYZR::pitch, pcl::tracking::_ParticleXYZR::roll, and pcl::tracking::_ParticleXYZR::yaw.

## operator<<() [5/5]

std::ostream& pcl::tracking::operator<< | ( | std::ostream & | os,
|  | const ParticleXYZRPY & | p
| ) |  |

inline

Definition at line 144 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

## RGB2HSV()

void pcl::tracking::RGB2HSV | ( | int | r,
|  | int | g,
|  | int | b,
|  | float & | fh,
|  | float & | fs,
|  | float & | fv
| ) |  |

Convert a RGB tuple to an HSV one.

Parameters

  [in] | r | the input Red component
  [in] | g | the input Green component
  [in] | b | the input Blue component
  [out] | fh | the output Hue component
  [out] | fs | the output Saturation component
  [out] | fv | the output Value component

Definition at line 75 of file hsv_color_coherence.hpp.

Referenced by pcl::tracking::HSVColorCoherence< PointInT >::computeCoherence().

## sampleNormal()

PCL_EXPORTS double pcl::tracking::sampleNormal | ( | double | mean,
|  | double | sigma
| ) |  |

Referenced by pcl::tracking::ParticleXYZRPY::sample(), pcl::tracking::ParticleXYZR::sample(), pcl::tracking::ParticleXYRPY::sample(), pcl::tracking::ParticleXYRP::sample(), and pcl::tracking::ParticleXYR::sample().